<script lang="ts">
import Vue from 'vue';
import { SlpBreadcrumb, SlpHorizontalRule } from '../common/index.vue';

export default Vue.extend({
  name: 'GetStartedHero',
  components: { SlpHorizontalRule, SlpBreadcrumb },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="get-started-hero slp-my-64 slp-my-md-96">
    <SlpBreadcrumb class="slp-mb-32" :crumbs="data.crumbs" />
    <SlpRow class="slp-mb-32">
      <span class="get-started-hero__header-label">
        <SlpTypography tag="span" variant="body3">{{
          data.header_label
        }}</SlpTypography>
      </span>
    </SlpRow>
    <SlpTypography
      class="get-started-hero__title slp-mb-32"
      tag="h1"
      variant="heading1-bold"
      >{{ data.title }}</SlpTypography
    >
    <SlpHorizontalRule />
    <div
      class="get-started-hero__content"
      tag="div"
      variant="heading4"
      v-html="$md.render(data.content)"
    ></div>
  </section>
</template>

<style scoped lang="scss">
.get-started-hero {
  hr {
    margin: $spacing-48 0;
  }

  &__header-label {
    padding: 10px 20px;
    border-radius: 30px;
    background: $color-surface-800;

    span {
      font-size: $text-body-3 !important;
    }
  }

  &__title {
    @media (max-width: $breakpoint-md) {
      word-wrap: break-word;
    }
  }

  &__content {
    @media (min-width: $breakpoint-md) {
      max-width: 85%;
    }
  }
}
</style>
